# Uses of Interface
org.eclipse.ui.IViewReference

Packages that use IViewReference
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.internal

## Uses of IViewReference in org.eclipse.ui

Methods in org.eclipse.ui that return IViewReference
Modifier and Type
Method
Description
`IViewReference`
IWorkbenchPage.`findViewReference(String viewId)`
Returns the view reference with the specified id.
`IViewReference`
IWorkbenchPage.`findViewReference(String viewId, String secondaryId)`
Returns the view reference with the specified id and secondary id.
`IViewReference[]`
IWorkbenchPage.`getViewReferences()`
Returns a list of the reference to views visible on this page.
Methods in org.eclipse.ui with parameters of type IViewReference
Modifier and Type
Method
Description
`void`
IWorkbenchPage.`hideView(IViewReference view)`
Hides the given view that belongs to the reference, if any.

## Uses of IViewReference in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IViewReference
Modifier and Type
Class
Description
`class`
`ViewReference`
Methods in org.eclipse.ui.internal that return IViewReference
Modifier and Type
Method
Description
`IViewReference`
WorkbenchPage.`findViewReference(String viewId)`
`IViewReference`
WorkbenchPage.`findViewReference(String viewId, String secondaryId)`
`IViewReference[]`
WorkbenchPage.`getViewReferences()`
See IWorkbenchPage.
Methods in org.eclipse.ui.internal with parameters of type IViewReference
Modifier and Type
Method
Description
`void`
WorkbenchPage.`hideView(IViewReference view)`